## roxterm 2.8.2

=== debian/changelog ===
roxterm (2.8.2-1) unstable; urgency=medium

  * Re-enabled deprecated background options for now.

 -- Tony Houghton <h@realh.co.uk>  Sat, 15 Feb 2014 14:30:06 +0000
