## roxterm 2.9.3

=== debian/changelog ===
roxterm (2.9.3-1) unstable; urgency=low

  * Applied wrap-and-sort.
  * Shortened one-line description of roxterm virtual package.
  * Update debhelper compatibility to 9.
  * Allow package to be built repeatedly from same unpacked source:
    + mscript.py, maitch.py: Better at preventing files such as *.po/*.pot
      being needlessly updated with timestamps etc
  * Changed default GTK colour scheme:
    + Make bold black (LP: #1340721).
    + Don't set cursor colour due to
      <https://bugzilla.gnome.org/show_bug.cgi?id=695011>.
  * Add support for launching ssh from matching URIs
    (based on a patch by Karl E. Jorgensen).
  * Support popular SCM URIs (copy to clipboard only).
  * Fixed background transparency support for recent versions of vte.
  * Don't crash trying to use a copy of an empty profile (Closes: #752253).
  * Allow Shortcuts files to be reloaded and edited as text.
  * Override --tab to false if no match for --title.
  * debian/control: Added Build-Depends on imagemagick, itstool.
  * debian/copyright: Updated year.
  * Support XDG AppData spec.
  * Corrected profile editor page selection when background options
    are disabled (doesn't affect Debian).
  * Changed keyboard shortcut for Find Next to avoid clash with New Window.
  * Fixed wrapping of some dialog labels.
  * Exclude logo source xcf (gimp) file from installation.
  * Added GTK & VTE version summary to About dialog.

 -- Tony Houghton <h@realh.co.uk>  Fri, 08 Aug 2014 15:16:13 +0100
