=== debian/control ===
--- 
+++ 
@@ -2,12 +2,23 @@
 Section: x11
 Priority: optional
 Maintainer: Tony Houghton <h@realh.co.uk>
-Build-Depends: debhelper (>= 7.0.50),
-    libgtk-3-dev, libvte-2.90-dev,
-    libgtk2.0-dev (>=2.18), libvte-dev,
-    libsm-dev, libdbus-glib-1-dev, xsltproc, docbook-xsl,
-    python, python-lockfile, libtool,
-    gettext, po4a
+Build-Depends:
+ debhelper (>= 9),
+ docbook-xsl,
+ gettext,
+ graphicsmagick-imagemagick-compat | imagemagick,
+ itstool,
+ libdbus-glib-1-dev,
+ libgtk-3-dev,
+ libgtk2.0-dev (>=2.18),
+ libsm-dev,
+ libtool,
+ libvte-2.90-dev,
+ libvte-dev,
+ po4a,
+ python,
+ python-lockfile,
+ xsltproc
 Standards-Version: 3.9.5
 Homepage: http://roxterm.sourceforge.net/
 Vcs-Git: git://git.code.sf.net/p/roxterm/code
@@ -18,7 +29,7 @@
 Depends: ${misc:Depends}
 Replaces: roxterm (<< 2.0.0-1)
 Breaks: roxterm (<< 2.0.0-1)
-Recommends: roxterm-gtk3 | roxterm-gtk2, openssh-client, dbus-x11
+Recommends: dbus-x11, openssh-client, roxterm-gtk3 | roxterm-gtk2
 Description: Multi-tabbed GTK+/VTE terminal emulator - common files
  ROXTerm is a terminal emulator based on the VTE library. It was originally
  intended to be a lightweight alternative to gnome-terminal, but its role has
@@ -29,8 +40,11 @@
 
 Package: roxterm-gtk3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common,
-    roxterm-common (= ${source:Version})
+Depends:
+ librsvg2-common,
+ roxterm-common (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Conflicts: roxterm-gtk2
 Provides: x-terminal-emulator
 Description: Multi-tabbed GTK+/VTE terminal emulator - GTK3 version
@@ -43,8 +57,11 @@
 
 Package: roxterm-gtk2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common,
-    roxterm-common (= ${source:Version})
+Depends:
+ librsvg2-common,
+ roxterm-common (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Conflicts: roxterm-gtk3
 Provides: x-terminal-emulator
 Description: Multi-tabbed GTK+/VTE terminal emulator - GTK2 version
@@ -83,8 +100,8 @@
 
 Package: roxterm
 Architecture: all
-Depends: ${misc:Depends}, roxterm-gtk3 (>= ${source:Version})
-Description: Multi-tabbed GTK+/VTE terminal emulator - virtual package for GTK3
+Depends: roxterm-gtk3 (>= ${source:Version}), ${misc:Depends}
+Description: Virtual package for roxterm-gtk3
  ROXTerm is a terminal emulator based on the VTE library. It was originally
  intended to be a lightweight alternative to gnome-terminal, but its role has
  shifted to providing a richer range of features for power users.
