## roxterm 2.9.5

=== debian/changelog ===
roxterm (2.9.5-1) unstable; urgency=medium

  * Recognise _NET_WM_DESKTOP special value 0xffffffff correctly.
  * Don't crash if EDITOR env variable is unset when editing shortcuts
    (Closes: #771022).

 -- Tony Houghton <h@realh.co.uk>  Fri, 28 Nov 2014 18:20:06 +0000

roxterm (2.9.4-1) unstable; urgency=low

  * Fixed metadata_license and non-default screenshot in appdata.
  * debian/control Build-Depends:
    + Added libtool-bin (Closes: #761785).
    + Added librsvg2-bin.
    + Removed graphicsmagick option:- it can't create favicon.ico.

 -- Tony Houghton <h@realh.co.uk>  Wed, 17 Sep 2014 15:45:06 +0100
