=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
  debhelper (>= 9),
  docbook-xsl,
  gettext,
- graphicsmagick-imagemagick-compat | imagemagick,
+ imagemagick,
  itstool,
  libdbus-glib-1-dev,
  libgtk-3-dev,
  libgtk2.0-dev (>=2.18),
+ librsvg2-bin,
  libsm-dev,
  libtool,
+ libtool-bin,
  libvte-2.90-dev,
  libvte-dev,
  po4a,
