## roxterm 3.1.4

=== debian/changelog ===
roxterm (3.1.4-2) unstable; urgency=high

  * Fixed target package of roxterm.xpm (Closes: #795529, #795551).

 -- Tony Houghton <h@realh.co.uk>  Sat, 15 Aug 2015 15:47:37 +0100

roxterm (3.1.4-1) unstable; urgency=medium

  * Make --fork wait until dbus service name has been acquired.
  * Fixed child-exited signal handler for vte-2.91's new signature.
  * Support named user sessions.
  * Removed profile option for initial number of tabs.
  * Updated roxterm.svg's and roxterm.appdata.xml.in's licence and
    copyright (Closes: #795217).
  * debian/control: Changed descriptions and dependencies of dummy
    packages to prevent lintian warnings.
  * Added lintian overrides for warnings about dummy dbg packages.

 -- Tony Houghton <h@realh.co.uk>  Thu, 13 Aug 2015 18:12:30 +0100

roxterm (3.0.2-1) unstable; urgency=medium

  * Fixed crash when dragging a tab from one window to another.
  * Added note about python 2-3 migration to news.html.

 -- Tony Houghton <h@realh.co.uk>  Sun, 12 Jul 2015 14:11:47 +0100

roxterm (3.0.1-1) unstable; urgency=medium

  * Force python build script to use utf8 when processing certain files.
  * Rearranged Tabs profile editor page.
  * debian/source/options: Ignore build-time changes to po and pot files.
  * debian:rules: Use dpkg-buildflags --get, and correct passing of flags to
    mscript.py configure.
  * Updated Standards-Version to 3.9.6.
  * Build uses python3 (updated Build-Depends accordingly).
  * Upstream tarball now uses .xz compression.
  * Added Select All menu item.
  * Allow unlimited scrollback lines.
  * Fixed some unsafe uses of sprintf.
  * Provide option to rewrap text when terminal width changes.
  * Drop support for GTK2 etc (Closes: #790183).
  * Replaced many calls to deprecated library functions.
  * Reorganized surviving binary packages.
  * Use vte-2.91 API (Closes: #788028).
  * Fixed colour/shortcut shceme CLI switch clash.
  * Fixed --tab aiming to target most recently focused window.
  * debian/copyright: Added .ycm_extra_conf.py.in.
  * Fade text in unselected tabs.
  * Fix maximise and full screen buttons in profile.

 -- Tony Houghton <h@realh.co.uk>  Thu, 09 Jul 2015 15:41:46 +0100
