=== debian/control ===
Source: roxterm
Section: x11
Priority: optional
Maintainer: Tony Houghton <h@realh.co.uk>
Build-Depends:
 debhelper (>= 9),
 docbook-xsl,
 gettext,
 imagemagick,
 itstool,
 libdbus-glib-1-dev,
 libgtk-3-dev,
 librsvg2-bin,
 libsm-dev,
 libtool,
 libtool-bin,
 libvte-2.91-dev,
 po4a,
 python3,
 python3-lockfile,
 xsltproc
Standards-Version: 3.9.6
Homepage: http://roxterm.sourceforge.net/
Vcs-Git: git://git.code.sf.net/p/roxterm/code
Vcs-Browser: https://sourceforge.net/p/roxterm/code/

Package: roxterm-data
Architecture: all
Depends: ${misc:Depends}
Replaces: roxterm-common
Breaks: roxterm-common (<< 3.0.0)
Recommends: dbus-x11, openssh-client, roxterm
Description: Multi-tabbed GTK+/VTE terminal emulator - data files
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users. This package
 contains ROXTerm's data files.

Package: roxterm
Architecture: any
Depends:
 librsvg2-common,
 roxterm-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Replaces: roxterm-gtk3 (<< 3.0.0), roxterm-gtk2 (<< 3.0.0)
Breaks: roxterm-gtk3 (<< 3.0.0), roxterm-gtk2 (<< 3.0.0)
Provides: x-terminal-emulator
Description: Multi-tabbed GTK+/VTE terminal emulator - binaries
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users. This package
 contains the compiled programs for ROXTerm.

Package: roxterm-dbg
Architecture: any
Depends: roxterm (= ${binary:Version}), ${misc:Depends}
Replaces: roxterm-gtk3-dbg (<< 3.0.0), roxterm-gtk2-dbg (<< 3.0.0)
Breaks: roxterm-gtk3-dbg (<< 3.0.0), roxterm-gtk2-dbg (<< 3.0.0)
Section: debug
Priority: extra
Description: Debugging symbols for roxterm
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users. This package
 contains the debugging symbols for ROXTerm.

Package: roxterm-gtk3
Architecture: all
Section: oldlibs
Priority: extra
Depends: roxterm (>= ${source:Version}), ${misc:Depends}
Description: Transitional package to upgrade roxterm-gtk3 to roxterm
 This is a dummy package to facilitate automatic upgrades from roxterm-gtk3 2.x
 to roxterm 3.x, due to a change in the packaging structure. It may be removed
 once the roxterm 3.x package is installed, but consider also explicitly
 installing roxterm to prevent its accidental removal by autoremove.

Package: roxterm-gtk3-dbg
Architecture: all
Section: oldlibs
Priority: extra
Depends: roxterm-dbg (>= ${source:Version}),
 roxterm-gtk3 (= ${binary:Version}),
 ${misc:Depends}
Description: Transitional package to upgrade roxterm-gtk3-dbg to roxterm-dbg
 This is a dummy package to facilitate automatic upgrades from roxterm-gtk3-dbg
 2.x to roxterm-dbg 3.x, due to a change in the packaging structure. It may be
 removed once the roxterm-dbg 3.x package is installed, but consider also
 explicitly installing roxterm-dbg to prevent its accidental removal by
 autoremove.

Package: roxterm-gtk2
Architecture: all
Section: oldlibs
Priority: extra
Depends: roxterm (>= ${source:Version}), ${misc:Depends}
Description: Transitional package to upgrade roxterm-gtk2 to roxterm
 This is a dummy package to facilitate automatic upgrades from roxterm-gtk2 2.x
 to roxterm 3.x, due to a change in the packaging structure. The GTK2 build is
 no longer supported, so if you want to continue using that you will have to
 pin an older version.

Package: roxterm-gtk2-dbg
Architecture: all
Section: oldlibs
Priority: extra
Depends: roxterm-dbg (>= ${source:Version}),
 roxterm-gtk2 (= ${binary:Version}),
 ${misc:Depends}
Description: Transitional package to upgrade roxterm-gtk2-dbg to roxterm-dbg
 This is a dummy package to facilitate automatic upgrades from roxterm-gtk2-dbg
 2.x to roxterm-dbg 3.x, due to a change in the packaging structure. The GTK2
 build is no longer supported, so if you want to continue using that you will
 have to pin an older version.
