=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(wildcard .git),.git)
CONFIGURE_GIT =
else
CONFIGURE_GIT = --disable-git
endif
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
# Split this up a bit to avoid long lines
CONFIGURE_GDA_PATH = /usr/share/gnome-control-center/default-apps
CONFIGURE_GDA = --with-gnome-default-applications=$(CONFIGURE_GDA_PATH)
CONFIGURE_DIRS = PREFIX=/usr
CONFIGURE_TRANS = --enable-translations
CONFIGURE_MISC = $(CONFIGURE_DIRS) $(CONFIGURE_TRANS) $(CONFIGURE_GIT)
CONFIGURE_COMMON = $(CONFIGURE_GDA) $(CONFIGURE_LDFLAGS) $(CONFIGURE_MISC)
MSCRIPT_OPTS = --lock-top
COMMON_DIRS = --top-dir=../.. --src-dir='$${TOP_DIR}/src'
BUILD_DIRS = --build-dir=debian/build $(COMMON_DIRS)
MSCRIPT = python3 mscript.py

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONFIGURE_COMMON += --parallel=$(NUMJOBS)
endif

%:
	dh $@

override_dh_auto_configure:
	$(MSCRIPT) configure $(MSCRIPT_OPTS) $(CONFIGURE_COMMON) \
		$(BUILD_DIRS) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)"

override_dh_auto_build:
	$(MSCRIPT) build $(MSCRIPT_OPTS) $(BUILD_DIRS)

override_dh_auto_install:
	$(MSCRIPT) install $(MSCRIPT_OPTS) $(BUILD_DIRS) --destdir=../tmp

override_dh_install:
	dh_install
	dh_install -proxterm-data debian/roxterm.xpm usr/share/pixmaps/

override_dh_auto_test:

override_dh_auto_clean:
	$(MSCRIPT) clean $(MSCRIPT_OPTS) $(BUILD_DIRS)
	rm -rf debian/build
	rm -f maitch.py[co]

override_dh_strip:
	dh_strip -proxterm --dbg-package=roxterm-dbg
