## roxterm 3.3.2

=== debian/changelog ===
roxterm (3.3.2-1) unstable; urgency=medium

  * Removed debian/dirs to prevent creation of now empty /usr/share/pixmaps.
  * Build-Depends avoids buggy version of gettext (Closes: #809570).
  * debian/rules: Use --enable-nls instead of deprecated --enable-translations.
  * New upstream release:
    + Fixed ssh port number in config ui (upstream #120).
    + Fixed configure --disable-nls.
    + Update New Window/Tab With Profile submenus when profiles change
      (upstream #121).
    + Fade text and background colour labels along with buttons
      (Closes: #810016).
    + Documented shortcuts translation problem described by #809719.

 -- Tony Houghton <h@realh.co.uk>  Sat, 09 Jan 2016 14:00:02 +0000

roxterm (3.3.1-1) unstable; urgency=medium

  * New upstream version:
    + Use new vte API for checking URL matches.
    + Don't recalculate size in "window-resize" handler.
    + Fixed colour palette radio widget grouping.
    + Only warn about closing running shells if they have child processes.

 -- Tony Houghton <h@realh.co.uk>  Wed, 02 Dec 2015 16:08:42 +0000

roxterm (3.2.1-1) unstable; urgency=medium

  * New upstream version:
    + Use vte 0.40's new word char API (Closes: #798656).
  * Don't use deprecated debian menu system.

 -- Tony Houghton <h@realh.co.uk>  Thu, 29 Oct 2015 13:12:11 +0000

roxterm (3.1.5-1) unstable; urgency=medium

  * Prevent --fork crashing on broken DBUS messages.

 -- Tony Houghton <h@realh.co.uk>  Thu, 20 Aug 2015 16:21:44 +0100
