=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper (>= 9),
  docbook-xsl,
- gettext,
+ gettext (>= 0.19.7-2) | gettext (<< 0.19.7),
  imagemagick,
  itstool,
  libdbus-glib-1-dev,
@@ -14,7 +14,7 @@
  libsm-dev,
  libtool,
  libtool-bin,
- libvte-2.91-dev,
+ libvte-2.91-dev (>= 0.40),
  po4a,
  python3,
  python3-lockfile,
