=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 CONFIGURE_GDA_PATH = /usr/share/gnome-control-center/default-apps
 CONFIGURE_GDA = --with-gnome-default-applications=$(CONFIGURE_GDA_PATH)
 CONFIGURE_DIRS = PREFIX=/usr
-CONFIGURE_TRANS = --enable-translations
+CONFIGURE_TRANS = --enable-nls
 CONFIGURE_MISC = $(CONFIGURE_DIRS) $(CONFIGURE_TRANS) $(CONFIGURE_GIT)
 CONFIGURE_COMMON = $(CONFIGURE_GDA) $(CONFIGURE_LDFLAGS) $(CONFIGURE_MISC)
 MSCRIPT_OPTS = --lock-top
@@ -39,10 +39,6 @@
 override_dh_auto_install:
 	$(MSCRIPT) install $(MSCRIPT_OPTS) $(BUILD_DIRS) --destdir=../tmp
 
-override_dh_install:
-	dh_install
-	dh_install -proxterm-data debian/roxterm.xpm usr/share/pixmaps/
-
 override_dh_auto_test:
 
 override_dh_auto_clean:
