=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sign/" http://sf.net/roxterm/roxterm-(.*)\.tar\.(?:gz|bz2|xz)
