=== debian/changelog ===
roxterm (3.10.1-1~antix1) unstable; urgency=medium

  * rebuild for antiX 

 -- anticapitalista <antix@operamail.com>  Mon, 01 Mar 2021 14:46:36 +0200

roxterm (3.10.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 15 Sep 2020 12:01:07 -0700

roxterm (3.10.1-1ppa1focal1) focal; urgency=medium

  * New upstream version:
    + Use GModule to detect GtkScrolledWindow (kinetic scrolling) support in
      vte at run-time instead of compile-time.
    + Optimise cmake variables obtained from pkg-config.
    + Made default value for word_chars option consistent across terminal and
      config.

 -- Tony Houghton <h@realh.co.uk>  Wed, 25 Jul 2020 14:58:11 +0100

roxterm (3.9.4-1ppa1focal1) focal; urgency=medium

  * New upstream version:
    + Declare multi_win_get_disable_menu_shortcuts as extern in header
      (fixes github issue #225).
    + Improved link command compatibility in src/CMakeLists.txt.
    + Support kinetic scrolling with libinput if and when vte allows (see
      <https://gitlab.gnome.org/GNOME/vte/-/issues/234>).

 -- Tony Houghton <h@realh.co.uk>  Wed, 27 May 2020 13:58:41 +0100

roxterm (3.9.3-1ppa1focal1) focal; urgency=low

  * New upstream version:
    + Replaced appdata with metainfo (Ewoud Kohl van Wijngaarden)
    + Fixed AppInfo version string

 -- Tony Houghton <h@realh.co.uk>  Sat, 25 Apr 2020 17:22:51 +0100

roxterm (3.9.2-1ppa1eoan1.1) eoan; urgency=low

  * New upstream version (changes by Bert Gijsbers):
    + Document default shortcuts.
    + --geometry supports position.
    + Allow exit action to be overridden on command line.

 -- Tony Houghton <h@realh.co.uk>  Tue, 14 Apr 2020 14:11:59 +0100

roxterm (3.9.1-1ppa1eoan1) eoan; urgency=low

  * New upstream version:
    + Added borderless option (by Bert Gijsbers).
    + Added shortcut to toggle menubar (Bert Gijsbers).
    + Fixed F1 shortcut path.
    + Fixed HTML installation path.

 -- Tony Houghton <h@realh.co.uk>  Fri, 03 Apr 2020 18:04:00 +0200

roxterm (3.8.5-1ppa1eoan1) eoan; urgency=low

  * New upstream version:
    + Filter font chooser to allow only monospace fonts.

 -- Tony Houghton <h@realh.co.uk>  Fri, 27 Mar 2020 21:08:35 +0000

roxterm (3.8.4-1ppa1eoan1) eoan; urgency=medium

  * New upstream version:
    + Use fixed-width tab labels for left/right tabs so that they can display
      more than "..." <https://github.com/realh/roxterm/issues/216>.
    + Removed old debugging spam ("xid can be read").

 -- Tony Houghton <h@realh.co.uk>  Fri, 31 Jan 2020 21:45:05 +0100

roxterm (3.8.3-1ppa1eoan1) eoan; urgency=low

  * New upstream version:
    + Use gtk_widget_class_set_css_name instead of gtk_widget_set_name
      for custom tab label widgets
      <https://github.com/realh/roxterm/issues/214>.

 -- Tony Houghton <h@realh.co.uk>  Mon, 06 Jan 2019 14:47:20 +0000

roxterm (3.8.2-1ppa1disco1) disco; urgency=low

  * New upstream version:
    + Set WINDOWID env variable when running in X (based on PR #212).
    + Updated man page (PR #211).

 -- Tony Houghton <h@realh.co.uk>  Sat, 05 Oct 2019 15:17:20 +0100

roxterm (3.8.1-1ppa1disco1) disco; urgency=medium

  * New upstream version:
    + Add -g alias for --geometry (github PR#209).
    + Support tab position (%t) and total number in window (%n) in window
      titles and tab labels (based on github PR#210).

 -- Tony Houghton <h@realh.co.uk>  Sun, 01 Sep 2019 18:45:46 +0100

roxterm (3.7.5-1ppa1disco1) disco; urgency=medium

  * New upstream version:
    + Use GResources to fix About icon scaling and work without installing.

 -- Tony Houghton <h@realh.co.uk>  Sat, 08 Jun 2019 17:24:11 +0100

roxterm (3.7.4-1ppa1disco1) disco; urgency=medium

  * Updated control fields from SourceForge to github
  * New upstream version:
    + Redesigned icon.
    + Single tabs have a fixed width.
    + Removed rewrap on resize option (deprecated by vte, now always on).
    + Fixed order of General/Command selectors in profile editor.

 -- Tony Houghton <h@realh.co.uk>  Fri, 07 Jun 2019 14:56:11 +0100

roxterm (3.7.3-1ppa1bionic1) bionic; urgency=medium

  * Ensure consistent connection of signal handlers to new tabs. Fixes
    upstream issue <https://github.com/realh/roxterm/issues/198>.

 -- Tony Houghton <h@realh.co.uk>  Fri, 5 Oct 2018 18:08:40 +0100

roxterm (3.7.2-1ppa1bionic1) bionic; urgency=high

  * Fixes serious crashing bug <https://github.com/realh/roxterm/issues/197>.

 -- Tony Houghton <h@realh.co.uk>  Tue, 25 Sep 2018 15:16:00 +0100

roxterm (3.7.1-1ppa1bionic1) bionic; urgency=medium

  * New upstream version:
    + Added cursor foreground colour option.
    + Added Nocturne colour scheme.
    + Removed encoding settings support (deprecated by vte).
    + Removed a few other minor deprecated features.

 -- Tony Houghton <h@realh.co.uk>  Sat, 22 Sep 2018 21:02:37 +0100

roxterm (3.6.2-1ppa1bionic1) bionic; urgency=medium

  * Tabs always expand to fill their bar; this fixes a bug causing the window
    width to be incorrect after unmaximizing.

 -- Tony Houghton <h@realh.co.uk>  Mon, 17 Sep 2018 19:32:16 +0100

roxterm (3.6.1-1ppa1bionic1) bionic; urgency=medium

  * New upstream version with new options:
    + Bold is bright option.
    + Supports blinking text (optional).
    + Line spacing and horizontal spacing options.
    + Tweaked icon to make top bezel look better.
  * Now requires vte >= 0.52

 -- Tony Houghton <h@realh.co.uk>  Sun, 06 May 2018 22:04:41 +0100

roxterm (3.5.2-1) artful; urgency=medium

  * New upstream version:
    + Migrated to github.
    + Use CMake build system.
    + Fixed the geometry bug introduced by GTK 3.20.0.
    + Removed X11-specific code and options and improved Wayland support.
    + Minimum version requirements are now GTK 3.20 and vte 0.48.
    + URI regexes based on gnome-terminal's with simplified launch options.
    + Support explicit hyperlinks.
    + Numerous other fixes and updates.


