## roxterm 3.11.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,10 @@
 
 # roxterm and roxterm-config both depend on these
 pkg_check_modules(RTCOMMON REQUIRED
-    gtk+-3.0>=3.20.0 dbus-1>=1.0 dbus-glib-1>=0.22)
+    gtk+-3.0>=3.22.0 dbus-1>=1.0 dbus-glib-1>=0.22)
 
 # roxterm-config needs to export symbols so GtkBuilder can find signal handlers
 pkg_check_modules(GMODULE_EXPORT REQUIRED gmodule-export-2.0)
-
-# roxterm also now uses gmodule, but doesn't need to export its symbols
-pkg_check_modules(GMODULE REQUIRED gmodule-no-export-2.0)
 
 # If VTE >= 0.50 this should include the necessary flags for libpcre
 pkg_check_modules(VTE REQUIRED vte-2.91>=0.52)
@@ -38,39 +35,32 @@
     list(REMOVE_DUPLICATES RTLIB_LDFLAGS_OTHER)
 endif()
 
-set(RTMAIN_CFLAGS ${RTCOMMON_CFLAGS}
-    ${GMODULE_CFLAGS} ${VTE_CFLAGS})
+set(RTMAIN_CFLAGS ${RTCOMMON_CFLAGS} ${VTE_CFLAGS})
 if(RTMAIN_CFLAGS MATCHES ";")
     list(REMOVE_DUPLICATES RTMAIN_CFLAGS)
 endif()
-set(RTMAIN_CFLAGS_OTHER ${RTCOMMON_CFLAGS_OTHER}
-    ${GMODULE_CFLAGS_OTHER} ${VTE_CFLAGS_OTHER})
+set(RTMAIN_CFLAGS_OTHER ${RTCOMMON_CFLAGS_OTHER} ${VTE_CFLAGS_OTHER})
 if(RTMAIN_CFLAGS_OTHER MATCHES ";")
     list(REMOVE_DUPLICATES RTMAIN_CFLAGS_OTHER)
 endif()
-set(RTMAIN_INCLUDE_DIRS ${RTCOMMON_INCLUDE_DIRS}
-    ${GMODULE_INCLUDE_DIRS} ${VTE_INCLUDE_DIRS})
+set(RTMAIN_INCLUDE_DIRS ${RTCOMMON_INCLUDE_DIRS} ${VTE_INCLUDE_DIRS})
 if(RTMAIN_INCLUDE_DIRS MATCHES ";")
     list(REMOVE_DUPLICATES RTMAIN_INCLUDE_DIRS)
 endif()
-set(RTMAIN_LIBRARIES ${RTCOMMON_LIBRARIES}
-    ${GMODULE_LIBRARIES} ${VTE_LIBRARIES})
+set(RTMAIN_LIBRARIES ${RTCOMMON_LIBRARIES} ${VTE_LIBRARIES})
 if(RTMAIN_LIBRARIES MATCHES ";")
     list(REMOVE_DUPLICATES RTMAIN_LIBRARIES)
 endif()
-set(RTMAIN_LIBRARY_DIRS ${RTCOMMON_LIBRARY_DIRS}
-    ${GMODULE_LIBRARY_DIRS} ${VTE_LIBRARY_DIRS})
+set(RTMAIN_LIBRARY_DIRS ${RTCOMMON_LIBRARY_DIRS} ${VTE_LIBRARY_DIRS})
 if(RTMAIN_LIBRARY_DIRS MATCHES ";")
     list(REMOVE_DUPLICATES RTMAIN_LIBRARY_DIRS)
 endif()
-set(RTMAIN_LDFLAGS_OTHER ${RTCOMMON_DFLAGS_OTHER}
-    ${GMODULE_DFLAGS_OTHER} ${VTE_DFLAGS_OTHER})
+set(RTMAIN_LDFLAGS_OTHER ${RTCOMMON_DFLAGS_OTHER} ${VTE_DFLAGS_OTHER})
 if(RTMAIN_LDFLAGS_OTHER MATCHES ";")
     list(REMOVE_DUPLICATES RTMAIN_LDFLAGS_OTHER)
 endif()
 
-set(RTCONFIG_CFLAGS ${RTCOMMON_CFLAGS}
-    ${GMODULE_EXPORT_CFLAGS})
+set(RTCONFIG_CFLAGS ${RTCOMMON_CFLAGS} ${GMODULE_EXPORT_CFLAGS})
 if(RTCONFIG_CFLAGS MATCHES ";")
     list(REMOVE_DUPLICATES RTCONFIG_CFLAGS)
 endif()
