=== debian/changelog ===
roxterm (3.11.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Jun 2021 14:30:58 -0700

roxterm (3.11.1-1ppa1focal1) focal; urgency=medium

  * New upstream version, closes <https://github.com/realh/roxterm/issues/236>:
    + Made kinetic scrolling optional.
    + Added complementary option to scroll in units of pixels.

 -- Tony Houghton <h@realh.co.uk>  Tue, 18 May 2021 17:20:06 +0100

roxterm (3.10.5-1ppa1focal1) focal; urgency=medium

  * New upstream version:
    + Fixed issues caused by incorrect initialisation when loading a session
      (upstream github issue #234).
    + Use enable-fallback-scrolling property instead of dynamically finding
      setter with GModule.
  * debian/control: Updated gtk dependency to match previous update of
    CMakeLists.txt.

 -- Tony Houghton <h@realh.co.uk>  Thu, 13 May 2021 14:40:28 +0100

roxterm (3.10.4-1ppa1focal1) focal; urgency=medium

  * New upstream version:
    + Use EXTERNAL scrollbar policy for "No scrollbar".
    + Minimum GTK version is now 3.22.

 -- Tony Houghton <h@realh.co.uk>  Thu, 30 Apr 2021 18:16:34 +0100

roxterm (3.10.3-1ppa1focal1) focal; urgency=medium

  * New upstream version:
    + Previous release accidentally had fallback/kinetic scrolling disabled.

 -- Tony Houghton <h@realh.co.uk>  Thu, 29 Apr 2021 19:00:54 +0100

roxterm (3.10.2-1ppa1focal1) focal; urgency=medium

  * New upstream version:
    + Use current vte API to enable kinetic scrolling.
    + Always use a GtkScrolledWindow even if scrollbar is invisible
      <https://github.com/realh/roxterm/issues/234>.
    + Changed default keyboard shortcuts for scrolling.

 -- Tony Houghton <h@realh.co.uk>  Thu, 29 Apr 2021 17:58:11 +0100
