=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper (>= 10),
                docbook-xsl,
                libdbus-glib-1-dev,
-               libgtk-3-dev (>= 3.20.0),
+               libgtk-3-dev (>= 3.22.0),
                libpcre2-dev,
                libvte-2.91-dev (>= 0.52),
                xsltproc
