## roxterm 3.12.1

=== debian/changelog ===
roxterm (3.12.1-1mx23) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 20 Feb 2023 22:19:07 -0500

roxterm (3.12.1-1ppa1focal1) focal; urgency=medium

  * New upstream version:
    + Option to enable Ctrl-Tab keyboard shortcuts,
      <https://github.com/realh/roxterm/issues/243>.
    + Workaround to prevent scrollbar "bouncing" back from bottom due to
      <https://gitlab.gnome.org/GNOME/gtk/-/issues/3752>.

 -- Tony Houghton <h@realh.co.uk>  Wed, 26 Jan 2022 20:46:06 +0000
